[SciPy-User] Pylab - standard packages

Thomas Kluyver takowl@gmail....
Wed Sep 26 06:18:45 CDT 2012


On 25 September 2012 23:01, Fernando Perez <fperez.net@gmail.com> wrote:
> Though I'd like to add that our wonderful friends at neurodebian
> already fill much of this role, I'm not really sure we need a new PPA.

As I see it, the PPA should be a one-stop-shop for any packages we
specify which aren't in the distribution, or where the version in the
distribution is too old. If someone else has already packaged it, it
should be simple to upload their package, so we won't be duplicating a
lot of work.

I also intend to make a 'pylab' metapackage which will depend on all
the packages in the spec, so users can 'apt-get install pylab'.

Returning to earlier discussions:
It sounds like we want to specify nose as well. The 1.2 release is
quite recent, so let's specify >= 1.1.

In the poll about IPython notebook, 30 votes have been cast in favour
of including it, and 9 in favour of leaving it out for now. Those who
didn't think it should be included: are you willing to concede the
point? I'd prefer to avoid rehashing the discussions we've already
had, but if there's some key issue that's not yet been mentioned, you
can still bring it up.

Thanks,
Thomas


More information about the SciPy-User mailing list